Imports Infragistics.Win

Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim vlSource As List(Of vlSourceItem) = New List(Of vlSourceItem)
        vlSource.Add(New vlSourceItem(1, "Value 1"))
        vlSource.Add(New vlSourceItem(2, "Value 2"))
        vlSource.Add(New vlSourceItem(3, "Value 3"))

        Dim vl As ValueList = New ValueList()
        vl.ValueListItems.Add(1, "Value 1")
        vl.ValueListItems.Add(2, "Value 2")
        vl.ValueListItems.Add(3, "Value 3")

        Me.UltraGrid1.DisplayLayout.Bands(0).Columns("ValueList").ValueList = vl

        Dim bvl As BindableValueList = New BindableValueList(vlSource, "", "Value", "Key", Me)
        bvl.BindingContext = New BindingContext

        Me.UltraGrid1.DisplayLayout.Bands(0).Columns("BindableValueList").ValueList = bvl

        Me.UltraDataSource1.Rows.Add(New Object() {1, 1, 1})
        Me.UltraDataSource1.Rows.Add(New Object() {2, 2, 2})
        Me.UltraDataSource1.Rows.Add(New Object() {3, 3, 3})

    End Sub

    Private Sub uBExport_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles uBExport.Click
        Me.UltraGridExcelExporter1.Export(Me.UltraGrid1, "export.xls")
        System.Diagnostics.Process.Start("export.xls")
    End Sub

    Private Sub UltraGrid1_InitializeLayout(ByVal sender As System.Object, ByVal e As Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs) Handles UltraGrid1.InitializeLayout
        'Dim vlSource As List(Of vlSourceItem) = New List(Of vlSourceItem)
        'vlSource.Add(New vlSourceItem(1, "Value 1"))
        'vlSource.Add(New vlSourceItem(2, "Value 2"))
        'vlSource.Add(New vlSourceItem(3, "Value 3"))

        'Dim vl As ValueList = New ValueList()
        'vl.ValueListItems.Add(1, "Value 1")
        'vl.ValueListItems.Add(2, "Value 2")
        'vl.ValueListItems.Add(3, "Value 3")

        'e.Layout.Bands(0).Columns("ValueList").ValueList = vl

        'Dim bvl As BindableValueList = New BindableValueList(vlSource, "", "Value", "Key", Me)
        'bvl.BindingContext = New BindingContext

        'e.Layout.Bands(0).Columns("BindableValueList").ValueList = bvl
    End Sub


End Class

Public Class vlSourceItem

    Private _key As Integer
    Public Property Key() As Integer
        Get
            Return _key
        End Get
        Set(ByVal value As Integer)
            _key = value
        End Set
    End Property


    Private _value As String
    Public Property Value() As String
        Get
            Return _value
        End Get
        Set(ByVal value As String)
            _value = value
        End Set
    End Property

    Public Sub New(ByVal key As Integer, ByVal Value As String)
        _key = key
        _value = Value
    End Sub

End Class